DIRDIFF(1)

NAME
dirdiff - display differences and merge changes between directory trees

SYNOPSIS
dirdiff [-a|--all] [-o|--only pattern] [-I|--ignore pattern] [-r|--rcs] [-t|--bktag] [-c|--context num] [-b] [-w] [-B] [-i] [-d] [-S] [-k] dir1 dir2 ...

OPTIONS

-a,--all
    Don't exclude any files.

-o,--only pattern
    Only process files matching pattern.

-I,--ignore pattern
    Don't process files matching pattern.

-r,--rcs
    Ignore differences in RCS strings.

-t,--bktag
    Ignore differences in Bitkeeper strings.

-c,--context num
    Set number of lines of context to show.

-b,-w,-B,-i,-d
    Pass these on to diff.

-S  Show files that are the same in the file list.

-K  Enable bitkeeper support.

DESCRIPTION
Dirdiff is a graphical tool for displaying the differences between directory trees (up to 5) and for merging changes from one tree into another.

At startup, dirdiff displays a main window with a list of the files that are different between the trees. Colored squares are used to indicate the relative ages of the versions. Files are like leaves on a deciduous tree: the newest ones are green, and then they turn yellow, orange, and red as they get older. Missing files are black, and directories are white.

To see the differences between two versions of a file, double-click on the file name. By default, the first and last versions are compared, but this can be changed using the Diff menu in the main window. In the differences window, there are checkboxes to the left of all the sections which are different. You can use button 1 to select an individual checkbox, or shift-button 1 or button 3 to select a whole group. Selecting a line means that you are asking for that change to be made when you update either of the files using the Merge menu. The line will be removed if it is already present or added if it is not present.

To copy from one tree to another, click on the file name and select the appropriate copy operation from the Copy menu of the main window.

Selecting Make patch from the File menu of the main window produces a file describing the changes between the files that can be applied by the patch tool. You can edit the patch before saving, and may wish to add explanatory text, instructions, or patch Prereq lines at the beginning. To save the patch, enter a filename in the patch window relative to the current directory, and choose Save. This will also close the window.

If you are sending out patches, then the from directory should be the original version of the source. Try to make sure that the two files have the same number of leading directories. See the patch(1) man page for more information.

NOTES
Dirdiff needs to be able to load the libfilecmp.so.0.0 shared library for the -r or -t flags to work.

SEE ALSO
diff(1) patch(1)

AUTHOR
Paul Mackerras